package com.ruoyi.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 碳计量日对象 adm_ems_ca_meter_d
 * 
 * @author ruoyi
 * @date 2024-08-12
 */
public class CaMeterD extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 园区代码 */
    @Excel(name = "园区代码")
    private String areaCode;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 碳排放量 （千克） */
    @Excel(name = "碳排放量 ", readConverterExp = "千=克")
    private Double caEmissionQuantity;

    /** 碳汇量（千克） */
    @Excel(name = "碳汇量", readConverterExp = "千=克")
    private Double caSinkQuantity;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaCode(String areaCode) 
    {
        this.areaCode = areaCode;
    }

    public String getAreaCode() 
    {
        return areaCode;
    }
    public void setDate(Date date) 
    {
        this.date = date;
    }

    public Date getDate() 
    {
        return date;
    }
    public void setCaEmissionQuantity(Double caEmissionQuantity) 
    {
        this.caEmissionQuantity = caEmissionQuantity;
    }

    public Double getCaEmissionQuantity() 
    {
        return caEmissionQuantity;
    }
    public void setCaSinkQuantity(Double caSinkQuantity) 
    {
        this.caSinkQuantity = caSinkQuantity;
    }

    public Double getCaSinkQuantity() 
    {
        return caSinkQuantity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaCode", getAreaCode())
            .append("date", getDate())
            .append("caEmissionQuantity", getCaEmissionQuantity())
            .append("caSinkQuantity", getCaSinkQuantity())
            .toString();
    }
}
